/*
 * Copyright (C) 2006-2007 Intel Corporation. All Rights Reserved.
 *
 * The source code contained or described herein and all
 * documents related to the source code ("Material") are owned by
 * Intel Corporation or its suppliers or licensors. Title to the
 * Material remains with Intel Corporation or its suppliers and
 * licensors. The Material is protected by worldwide copyright
 * laws and treaty provisions.  No part of the Material may be
 * used, copied, reproduced, modified, published, uploaded,
 * posted, transmitted, distributed,  or disclosed in any way
 * except as expressly provided in the license provided with the
 * Materials.  No license under any patent, copyright, trade
 * secret or other intellectual property right is granted to or
 * conferred upon you by disclosure or delivery of the Materials,
 * either expressly, by implication, inducement, estoppel or
 * otherwise, except as expressly provided in the license
 * provided with the Materials.
 *
 * [DESCRIPTION]
 * One of three source files, and one library file, used
 * to demonstrate how to use Interprocedural Optimization (IPO)
 * during compilation and linking.
 *
 * The files needed to compile are:
 *  ipo_sample_defs.h
 *  ipo_sample_init.c
 *  ipo_sample_main.c
 *  ipo_sample_sum.c
 * 
 * [COMPILE] 
 * Use the following compiler options to compile:
 * 
 * Windows*: /Qipo
 * 
 * Linux* and Mac OS* X: -ipo
 *
 */

#include "ipo_sample_defs.h"

// This function will be inlined and deleted by intraprocedural
// optimization (IP).
static float add3(float x)
{
  return x + 3;
}

// This function will be inlined into external callers by
// interprocedural optimization (IPO).
float sum(float a[], int n)
{
  float result; 
  int i;
  result = 0;
  for (i = 0; i < n; i++) 
    result += a[i] + add3(a[i]);
  return result; 
}
