#
# Copyright  (C) 1985-2008 Intel Corporation. All rights reserved.
#
# The information and source code contained herein is the exclusive property
# of Intel Corporation and may not be disclosed, examined, or reproduced in
# whole or in part without explicit written authorization from the Company.
#

#!/bin/csh
switch ("$1")
  case "ia32": 
    if ( -e <INSTALLDIR>/bin/ia32/iccvars_ia32.csh ) then
       source <INSTALLDIR>/bin/ia32/iccvars_ia32.csh;
    endif 
    if ( -e <INSTALLDIR>/bin/ia32/idbvars.csh ) then
       source <INSTALLDIR>/bin/ia32/idbvars.csh;
    endif 
    if ( -e <INSTALLDIR>/tbb/bin/tbbvars.csh ) then
       source <INSTALLDIR>/tbb/bin/tbbvars.csh;
    endif 
    if ( -e <INSTALLDIR>/Frameworks/tbb/bin/tbbvars.csh ) then
       source <INSTALLDIR>/Frameworks/tbb/bin/tbbvars.csh;
    endif 
    if ( -e <INSTALLDIR>/mkl/tools/environment/mklvars32.csh ) then
       source <INSTALLDIR>/mkl/tools/environment/mklvars32.csh;
    endif 
    if ( -e <INSTALLDIR>/Frameworks/mkl/tools/environment/mklvars32.csh ) then
       source <INSTALLDIR>/Frameworks/mkl/tools/environment/mklvars32.csh;
    endif 
    if ( -e <INSTALLDIR>/ipp/ia32/tools/env/ippvars32.csh ) then
       source <INSTALLDIR>/ipp/ia32/tools/env/ippvars32.csh;
    endif 
    if ( -e <INSTALLDIR>/Frameworks/ipp/tools/env/ippvars32.csh ) then
       source <INSTALLDIR>/Frameworks/ipp/tools/env/ippvars32.csh;
    endif 
    breaksw;
  case "intel64": 
    if ( -e <INSTALLDIR>/bin/intel64/iccvars_intel64.csh ) then
       source <INSTALLDIR>/bin/intel64/iccvars_intel64.csh;
    endif 
    if ( -e <INSTALLDIR>/bin/intel64/idbvars.csh ) then
       source <INSTALLDIR>/bin/intel64/idbvars.csh;
    endif 
    if ( -e <INSTALLDIR>/tbb/bin/tbbvars.csh ) then
       source <INSTALLDIR>/tbb/bin/tbbvars.csh;
    endif 
    if ( -e <INSTALLDIR>/Frameworks/tbb/bin/tbbvars.csh ) then
       source <INSTALLDIR>/Frameworks/tbb/bin/tbbvars.csh;
    endif 
    if ( -e <INSTALLDIR>/mkl/tools/environment/mklvarsem64t.csh ) then
       source <INSTALLDIR>/mkl/tools/environment/mklvarsem64t.csh;
    endif 
    if ( -e <INSTALLDIR>/Frameworks/mkl/tools/environment/mklvarsem64t.csh ) then
       source <INSTALLDIR>/Frameworks/mkl/tools/environment/mklvarsem64t.csh;
    endif 
    if ( -e <INSTALLDIR>/ipp/em64t/tools/env/ippvarsem64t.csh ) then
       source <INSTALLDIR>/ipp/em64t/tools/env/ippvarsem64t.csh;
    endif 
    if ( -e <INSTALLDIR>/Frameworks/ipp/tools/env/ippvarsem64t.csh ) then
       source <INSTALLDIR>/Frameworks/ipp/tools/env/ippvarsem64t.csh;
    endif 
    breaksw;
  case "ia64": 
    if ( "`uname`" ==  "Darwin" ) then
       echo "ia64 on Mac is not a valid argument. Use ia32 or intel64"
    else
       if ( -e <INSTALLDIR>/bin/ia64/iccvars_ia64.csh ) then
          source <INSTALLDIR>/bin/ia64/iccvars_ia64.csh;
       endif 
       if ( -e <INSTALLDIR>/tbb/bin/tbbvars.csh ) then
          source <INSTALLDIR>/tbb/bin/tbbvars.csh;
       endif 
       if ( -e <INSTALLDIR>/mkl/tools/environment/mklvars64.csh ) then
          source <INSTALLDIR>/mkl/tools/environment/mklvars64.csh;
       endif 
       if ( -e <INSTALLDIR>/ipp/ia64/tools/env/ippvars64.csh ) then
          source <INSTALLDIR>/ipp/ia64/tools/env/ippvars64.csh;
       endif
    endif
    breaksw;
  default:
    if ( "`uname`" == "Darwin" ) then
       echo "ERROR: Unknown switch '$1'. Accepted values: ia32, intel64"
    else
       echo "ERROR: Unknown switch '$1'. Accepted values: ia32, intel64, ia64"
    endif
    breaksw;
endsw

