#
# Copyright  (C) 1985-2008 Intel Corporation. All rights reserved.
#
# The information and source code contained herein is the exclusive property
# of Intel Corporation and may not be disclosed, examined, or reproduced in
# whole or in part without explicit written authorization from the Company.
#

#!/bin/sh
case "$1" in
  ia32)
      if [ -e <INSTALLDIR>/bin/ia32/iccvars_ia32.sh ]; then
         . <INSTALLDIR>/bin/ia32/iccvars_ia32.sh 
      fi
      if [ -e <INSTALLDIR>/bin/ia32/idbvars.sh ]; then
         . <INSTALLDIR>/bin/ia32/idbvars.sh 
      fi
      if [ -e <INSTALLDIR>/tbb/bin/tbbvars.sh ]; then
         . <INSTALLDIR>/tbb/bin/tbbvars.sh
      fi
      if [ -e <INSTALLDIR>/Frameworks/tbb/bin/tbbvars.sh ]; then
         . <INSTALLDIR>/Frameworks/tbb/bin/tbbvars.sh
      fi
      if [ -e <INSTALLDIR>/mkl/tools/environment/mklvars32.sh ]; then
         . <INSTALLDIR>/mkl/tools/environment/mklvars32.sh 
      fi
      if [ -e <INSTALLDIR>/Frameworks/mkl/tools/environment/mklvars32.sh ]; then
         . <INSTALLDIR>/Frameworks/mkl/tools/environment/mklvars32.sh 
      fi
      if [ -e <INSTALLDIR>/ipp/ia32/tools/env/ippvars32.sh ]; then
         . <INSTALLDIR>/ipp/ia32/tools/env/ippvars32.sh 
      fi
      if [ -e <INSTALLDIR>/Frameworks/ipp/tools/env/ippvars32.sh ]; then
         . <INSTALLDIR>/Frameworks/ipp/tools/env/ippvars32.sh 
      fi
      ;;
  intel64)
      if [ -e <INSTALLDIR>/bin/intel64/iccvars_intel64.sh ]; then
         . <INSTALLDIR>/bin/intel64/iccvars_intel64.sh 
      fi
      if [ -e <INSTALLDIR>/bin/intel64/idbvars.sh ]; then
         . <INSTALLDIR>/bin/intel64/idbvars.sh 
      fi
      if [ -e <INSTALLDIR>/tbb/bin/tbbvars.sh ]; then
         . <INSTALLDIR>/tbb/bin/tbbvars.sh
      fi
      if [ -e <INSTALLDIR>/Frameworks/tbb/bin/tbbvars.sh ]; then
         . <INSTALLDIR>/Frameworks/tbb/bin/tbbvars.sh
      fi
      if [ -e <INSTALLDIR>/mkl/tools/environment/mklvarsem64t.sh ]; then
         . <INSTALLDIR>/mkl/tools/environment/mklvarsem64t.sh 
      fi
      if [ -e <INSTALLDIR>/Frameworks/mkl/tools/environment/mklvarsem64t.sh ]; then
         . <INSTALLDIR>/Frameworks/mkl/tools/environment/mklvarsem64t.sh 
      fi
      if [ -e <INSTALLDIR>/ipp/em64t/tools/env/ippvarsem64t.sh ]; then
         . <INSTALLDIR>/ipp/em64t/tools/env/ippvarsem64t.sh 
      fi
      if [ -e <INSTALLDIR>/Frameworks/ipp/tools/env/ippvarsem64t.sh ]; then
         . <INSTALLDIR>/Frameworks/ipp/tools/env/ippvarsem64t.sh 
      fi
       ;;
  ia64)
      if [ "`uname`" == "Darwin" ]; then
         echo "ia64 on Mac is not a valid argument. Use ia32 or intel64"
      else
         if [ -e <INSTALLDIR>/bin/ia64/iccvars_ia64.sh ]; then
            . <INSTALLDIR>/bin/ia64/iccvars_ia64.sh 
         fi
         if [ -e <INSTALLDIR>/tbb/bin/tbbvars.sh ]; then
            . <INSTALLDIR>/tbb/bin/tbbvars.sh
         fi
         if [ -e <INSTALLDIR>/mkl/tools/environment/mklvars64.sh ]; then
            . <INSTALLDIR>/mkl/tools/environment/mklvars64.sh 
         fi
         if [ -e <INSTALLDIR>/ipp/ia64/tools/env/ippvars64.sh ]; then
            . <INSTALLDIR>/ipp/ia64/tools/env/ippvars64.sh 
         fi
      fi
      ;;
  *)
      if [ "`uname`" ==  "Darwin" ]; then
          echo "ERROR: Unknown switch '$1'. Accepted values: ia32, intel64"
      else
          echo "ERROR: Unknown switch '$1'. Accepted values: ia32, intel64, ia64"
      fi
      ;;
esac

