#
# Copyright  (C) 1985-2008 Intel Corporation. All rights reserved.
#
# The information and source code contained herein is the exclusive property
# of Intel Corporation and may not be disclosed, examined, or reproduced in
# whole or in part without explicit written authorization from the Company.
#

#! /bin/tcsh

if !($?PATH) then
    setenv PATH <INSTALLDIR>/bin/intel64
else
    setenv PATH <INSTALLDIR>/bin/intel64:${PATH}
endif
if ( "`uname`" == "Darwin" ) then
   # DYLD_LIBRARY_PATH is used on MAC OS*
   if !($?DYLD_LIBRARY_PATH) then
       setenv DYLD_LIBRARY_PATH <INSTALLDIR>/lib:<INSTALLDIR>/lib/intel64
   else
       setenv DYLD_LIBRARY_PATH <INSTALLDIR>/lib:<INSTALLDIR>/lib/intel64:${DYLD_LIBRARY_PATH}
   endif

   if !($?NLSPATH) then
       setenv NLSPATH <INSTALLDIR>/lib/locale/en_US/%N
   else
       setenv NLSPATH <INSTALLDIR>/lib/locale/en_US/%N:${NLSPATH}
   endif
   
   if !($?INTEL_LICENSE_FILE) then
       setenv INTEL_LICENSE_FILE "<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:/Users/Shared/Library/Application Support/Intel/Licenses"
   else
       setenv INTEL_LICENSE_FILE "<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:/Users/Shared/Library/Application Support/Intel/Licenses:${INTEL_LICENSE_FILE}"
   endif
else
   if !($?LD_LIBRARY_PATH) then
       setenv LD_LIBRARY_PATH <INSTALLDIR>/lib/intel64
   else
       setenv LD_LIBRARY_PATH <INSTALLDIR>/lib/intel64:${LD_LIBRARY_PATH}
   endif
   if !($?NLSPATH) then
       setenv NLSPATH <INSTALLDIR>/lib/intel64/locale/%l_%t/%N
   else
       setenv NLSPATH <INSTALLDIR>/lib/intel64/locale/%l_%t/%N:${NLSPATH}
   endif

   if !($?INTEL_LICENSE_FILE) then
       setenv INTEL_LICENSE_FILE "<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses"
   else
       setenv INTEL_LICENSE_FILE "<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:${INTEL_LICENSE_FILE}"
   endif
endif
if !($?MANPATH) then
    setenv MANPATH <INSTALLDIR>/man:`manpath`
else
    setenv MANPATH <INSTALLDIR>/man:${MANPATH}
endif
