#
# Copyright  (C) 1985-2008 Intel Corporation. All rights reserved.
#
# The information and source code contained herein is the exclusive property
# of Intel Corporation and may not be disclosed, examined, or reproduced in
# whole or in part without explicit written authorization from the Company.
#

#! /bin/bash

if [ -z "${PATH}" ]
then
    PATH="<INSTALLDIR>/bin/intel64"; export PATH
else
    PATH="<INSTALLDIR>/bin/intel64:${PATH}"; export PATH
fi

if [ "`uname`" == "Darwin" ]; then
   # DYLD_LIBRARY_PATH is used on MAC OS*
   if [ -z "${DYLD_LIBRARY_PATH}" ]
   then
       DYLD_LIBRARY_PATH="<INSTALLDIR>/lib:<INSTALLDIR>/lib/intel64"; export DYLD_LIBRARY_PATH
   else
       DYLD_LIBRARY_PATH="<INSTALLDIR>/lib:<INSTALLDIR>/lib/intel64:${DYLD_LIBRARY_PATH}"; export DYLD_LIBRARY_PATH
   fi

   if [ -z "${NLSPATH}" ] 
   then
       NLSPATH="<INSTALLDIR>/lib/locale/en_US/%N"; export NLSPATH
   else
       NLSPATH="<INSTALLDIR>/lib/locale/en_US/%N:${NLSPATH}"; export NLSPATH
   fi

   if [ -z "${INTEL_LICENSE_FILE}" ]
   then
	INTEL_LICENSE_FILE="<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:/Users/Shared/Library/Application Support/Intel/Licenses"; export INTEL_LICENSE_FILE 
   else
	INTEL_LICENSE_FILE="<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:/Users/Shared/Library/Application Support/Intel/Licenses:${INTEL_LICENSE_FILE}"; export INTEL_LICENSE_FILE
   fi
else
   if [ -z "${LD_LIBRARY_PATH}" ]
   then
       LD_LIBRARY_PATH="<INSTALLDIR>/lib/intel64"; export LD_LIBRARY_PATH
   else
       LD_LIBRARY_PATH="<INSTALLDIR>/lib/intel64:${LD_LIBRARY_PATH}"; export LD_LIBRARY_PATH
   fi
  if [ -z "${NLSPATH}" ] 
  then
     NLSPATH="<INSTALLDIR>/lib/intel64/locale/%l_%t/%N";
  else
     NLSPATH="<INSTALLDIR>/lib/intel64/locale/%l_%t/%N:${NLSPATH}";
  fi
  export NLSPATH;

  if [ -z "${INTEL_LICENSE_FILE}" ]
then
	INTEL_LICENSE_FILE="<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses"; export INTEL_LICENSE_FILE 
  else
	INTEL_LICENSE_FILE="<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:${INTEL_LICENSE_FILE}"; export INTEL_LICENSE_FILE
  fi
fi

if [ -z "${MANPATH}" ]
then
    MANPATH="<INSTALLDIR>/man":$(manpath); export MANPATH
else
    MANPATH="<INSTALLDIR>/man:${MANPATH}"; export MANPATH
fi

